gsm0502.h File Reference
`#include <stdint.h>`
`#include <osmocom/gsm/protocol/gsm_04_08.h>`
`#include <osmocom/gsm/protocol/gsm_08_58.h>`

Go to the source code of this file.

## Functions

static unsigned int | gsm0502_get_n_pag_blocks (struct gsm48_control_channel_descr *chan_desc)
static unsigned int | gsm0502_get_ccch_group (uint64_t imsi, unsigned int bs_cc_chans, unsigned int n_pag_blocks)
static unsigned int | gsm0502_get_paging_group (uint64_t imsi, unsigned int bs_cc_chans, int n_pag_blocks)
unsigned int | gsm0502_calc_paging_group (struct gsm48_control_channel_descr *chan_desc, uint64_t imsi)

## Function Documentation

## gsm0502_calc_paging_group()

unsigned int gsm0502_calc_paging_group | ( | struct gsm48_control_channel_descr * | chan_desc,
|  | uint64_t | imsi
| ) |  |

References ccch_conf, chan_desc, group, gsm0502_get_paging_group(), gsm48_number_of_paging_subchannels(), and rsl_ccch_conf_to_bs_cc_chans().

## gsm0502_get_ccch_group()

static unsigned int gsm0502_get_ccch_group | ( | uint64_t | imsi,
|  | unsigned int | bs_cc_chans,
|  | unsigned int | n_pag_blocks
| ) |  |

inline static

## gsm0502_get_n_pag_blocks()

static unsigned int gsm0502_get_n_pag_blocks | ( | struct gsm48_control_channel_descr * | chan_desc | ) |

inline static

References chan_desc, and RSL_BCCH_CCCH_CONF_1_C.

Referenced by gsm48_number_of_paging_subchannels().

## gsm0502_get_paging_group()

static unsigned int gsm0502_get_paging_group | ( | uint64_t | imsi,
|  | unsigned int | bs_cc_chans,
|  | int | n_pag_blocks
| ) |  |

inline static

Referenced by gsm0502_calc_paging_group().